<?php

namespace Drupal\pager\Controller;

/**
 * Controller routines for block example routes.
 */
class PagerController {

  /**
   * Generate a render array with our templated content.
   *
   * @return array
   *   A render array.
   */
  public function description() {
    return [
      'description' => [
        '#type'     => 'inline_template',
        '#template' => file_get_contents($this->getDescriptionTemplatePath()),
        '#context'  => $this->getDescriptionVariables(),
      ],
    ];
  }

  /**
   * Get full path to the template.
   *
   * @return string
   *   Path string.
   */
  protected function getDescriptionTemplatePath() {
    return drupal_get_path('module', $this->getModuleName()) . "/templates/description.html.twig";
  }

  /**
   * Callback for the module name.
   *
   * @return string
   *   The module name.
   */
  protected function getModuleName() {
    return 'pager';
  }

}
